Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Class ActionManager.Wrapper

    java.lang.Object
      javax.swing.AbstractAction
          net.sourceforge.jsxe.ActionManager.Wrapper

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  ActionManager

public static class ActionManager.Wrapper
extends AbstractAction

The Wrapper class wraps LocalizedActions so they can be invoked through Swing via the ActionListener interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ActionManager.Wrapper(LocalizedAction action)` Creates a new wrapper action.
`ActionManager.Wrapper(String name)` Creates a new wrapper action.

Method Summary
`void` | `actionPerformed(ActionEvent evt)`
`String` | `getName()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionManager.Wrapper

    public ActionManager.Wrapper(String name)

  Creates a new wrapper action.

Parameters:
  `name` - the name of the registered action to wrap

### ActionManager.Wrapper

    public ActionManager.Wrapper(LocalizedAction action)

  Creates a new wrapper action.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

### getName

    public String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD